<?php 
/*
Plugin Name: STS Partnership Links
Description: Plugin for displaying partnership links
Author: Chauncey Haworth
Version: 0.1
*/



add_action( 'admin_menu', 'STS_Partnership_Links_add_admin_menu' );
add_action( 'admin_init', 'STS_Partnership_Links_settings_init' );


function STS_Partnership_Links_add_admin_menu(  ) { 

	add_menu_page( 'STS Partnership Links', 'STS Partnership Links', 'manage_options', 'sts_partnership_links', 'STS_Partnership_Links_options_page' );

}


function STS_Partnership_Links_settings_init(  ) { 

	register_setting( 'pluginPage', 'STS_Partnership_Links_settings' );

	add_settings_section(
		'STS_Partnership_Links_pluginPage_section', 
		__( 'Select which page the STS Links will display on', 'wordpress' ), 
		'STS_Partnership_Links_settings_section_callback', 
		'pluginPage'
	);

	add_settings_field( 
		'STS_Partnership_Links_text_field_0', 
		__( 'Enter the Page ID', 'wordpress' ), 
		'STS_Partnership_Links_text_field_0_render', 
		'pluginPage', 
		'STS_Partnership_Links_pluginPage_section' 
	);


}


function STS_Partnership_Links_text_field_0_render(  ) { 

	$options = get_option( 'STS_Partnership_Links_settings' );
	?>
	<input type='text' name='STS_Partnership_Links_settings[STS_Partnership_Links_text_field_0]' value='<?php echo $options['STS_Partnership_Links_text_field_0']; ?>'>
	<?php

}


function STS_Partnership_Links_settings_section_callback(  ) { 

	echo __( 'Enter the page ID below to select which page the links will display on. Leaving the field empty will display links on all pages.', 'wordpress' );

}


function STS_Partnership_Links_options_page(  ) { 

	?>
	<form action='options.php' method='post'>

		<h2>STS Partnership Links</h2>

		<?php
		settings_fields( 'pluginPage' );
		do_settings_sections( 'pluginPage' );
		submit_button();
		?>

	</form>
    

    
    
    
    
	<?php

}











function wpb_adding_styles() {
wp_register_style('my_stylesheet', plugins_url('sts_links_style.css', __FILE__));
wp_enqueue_style('my_stylesheet');
}

add_action( 'wp_enqueue_scripts', 'wpb_adding_styles' ); 

function wpb_adding_scripts() {
wp_register_script('my_javascript', plugins_url('sts_links_js.js', __FILE__), array('jquery'),'1.1', true);
wp_enqueue_script('my_javascript');
}

add_action( 'wp_enqueue_scripts', 'wpb_adding_scripts' );  









function wpdev_before_after($content) {





// $html = 'http://singletrucksuccess.com/sts-links/archaicmedia-info/';

$hostname = $_SERVER['HTTP_HOST'];
$noqueryslug = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
$pathway = $hostname.$noqueryslug;
$dashedpathway = str_replace('/', '-', $pathway);
$finishedpathway = rtrim($dashedpathway,'-');



$sourcefile = 'http://www.professional-carpet-cleaning-service.com/affiliate-sites/'.$finishedpathway;
$file_headers = @get_headers($sourcefile);
if(!$file_headers || $file_headers[0] == 'HTTP/1.1 404 Not Found') {
    //$html ='http://singletrucksuccess.com/sts-links/_default/';
}
else {
    $html = $sourcefile;
	// a new dom object
	$dom = new domDocument; 
	libxml_use_internal_errors(true);
	// load the html into the object
	$dom->loadHTMLFile($html); 
	libxml_clear_errors();
	//get element by id
	$mango_div = $dom->getElementById('stslinkwrapper');
	
	$aftercontent = $dom->saveHTML($mango_div);
}











$fullcontent = $content . $aftercontent;

    if (empty($pageID)) {
        return $fullcontent;
    } else {
        if( is_page( $pageID ) ) {
            return $fullcontent;
        } else {
            return $content;
        }
    }
}


add_filter('the_content', 'wpdev_before_after');